View Issue Details

IDProjectCategoryView StatusLast Update
0006545Talermechant backendpublic2020-10-14 21:25
ReporterChristian Grothoff Assigned ToChristian Grothoff  
PrioritynormalSeveritytweakReproducibilityN/A
Status resolvedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006545: parse_taler_uri_scheme_action in merchant_api_common should use new GNUnet URI parser
DescriptionJust a refactoring, seems odd to have this URI parser still around.
TagsNo tags attached.

Activities

Christian Grothoff

2020-08-29 11:50

manager   ~0016795

(to be clear: this likely will also replace most of TALER_MERCHANT_refund_uri() itself!).

Christian Grothoff

2020-08-29 11:51

manager   ~0016796

And TALER_MERCHANT_parse_pay_uri()...

Christian Grothoff

2020-10-13 23:42

manager   ~0017015

c09cd4c..4558050 implements this. However, not closing as these functions still definitively need a unit test.

Christian Grothoff

2020-10-14 21:25

manager   ~0017016

Test added in 4558050..bf9641e

Issue History

Date Modified Username Field Change
2020-08-29 11:49 Christian Grothoff New Issue
2020-08-29 11:49 Christian Grothoff Status new => assigned
2020-08-29 11:49 Christian Grothoff Assigned To => jonathanbuchanan
2020-08-29 11:50 Christian Grothoff Note Added: 0016795
2020-08-29 11:51 Christian Grothoff Note Added: 0016796
2020-10-11 20:59 Christian Grothoff Assigned To jonathanbuchanan => Christian Grothoff
2020-10-13 23:42 Christian Grothoff Note Added: 0017015
2020-10-14 21:25 Christian Grothoff Status assigned => resolved
2020-10-14 21:25 Christian Grothoff Resolution open => fixed
2020-10-14 21:25 Christian Grothoff Fixed in Version => 0.8
2020-10-14 21:25 Christian Grothoff Note Added: 0017016
2020-10-14 21:25 Christian Grothoff Target Version 0.8.1 => 0.8